#ifndef HME_CLASS_DATA_H
#define HME_CLASS_DATA_H

#include "incs.h"

class Class_Data
{
public:
  Class_Data ( FILE* class_data_file, int num_points, int num_inputs, int num_targets );
  ~Class_Data();
  real get_next_input ( int pointer, real* input );
  real get_next_target ( int pointer, real* target );
  real** get_inputs(int offset);
  real** get_targets(int offset);
  void print();
private:
  FILE* class_data_fp;
  int n_points;
  int n_inputs;
  int n_targets;
  real** input_matrix;
  real** target_matrix;
  
};


#endif

