#ifndef		CONSTS_H
#define		CONSTS_H

#ifdef	__cplusplus
extern	"C" {
#endif

#ifndef MIN_PROB
#define MIN_PROB 1e-3
#endif

#ifndef MIN_PTS
#define MIN_PTS 1e-3
#endif

#ifndef LOGINF
#define LOGINF 23.0
#endif
#ifndef MINEARG
#define MINEARG (-708.3)     /* lowest exp() arg */
#endif
#ifndef MAXEARG
#define MAXEARG 40.0    /* max exp() arg*/   
#endif
#ifndef MINLARG
#define MINLARG 2.45E-308  /* lowest log() arg */
#endif
#ifndef MAXLARG
#define MAXLARG 1.0E10     /* max log() arg */
#endif
#ifndef INT_MIN
#define	INT_MIN		(-2147483648)
#endif
#ifndef INT_MAX 
#define	INT_MAX		2147483647
#endif
#ifndef SHRT_MIN
#define SHRT_MIN        (-32768)
#endif
#ifndef SHRT_MAX
#define SHRT_MAX        32767
#endif


# define ALMOST_LOG_ZERO	(1e-30)
# define REALLY_VERY_BIG	(1e30)
# define TINY_FLOAT		(1e-30)

#ifndef M_PI
#define M_PI          3.14159265358979323846
#endif
#ifndef PI
#define PI   3.1415927
#endif
#define TPI  6.2831853     /* P*2 */
#define LZERO  (-1.0E10)     /* ~log(0) */

#define LSMALL (-0.5E10)     /* log values < LSMALL are set to LZERO */
#define LBIG   0.5E10
#define LARGE 1.0E5
#define VSMALL 1.0E-10
#ifdef	__cplusplus
}
#endif
#endif
