#ifndef HME_DATA_H
#define HME_DATA_H

#include "incs.h"

class Data
{
public:
  Data ( FILE* data_file, int num_points, int num_inputs, int num_targets );
  ~Data();
  real get_next_input ( int pointer, real* input );
  real get_next_target ( int pointer, real* target );
  real** get_inputs(int offset);
  real** get_targets(int offset);
  void print();
private:
  FILE* data_fp;
  int n_points;
  int n_inputs;
  int n_targets;
  real** input_matrix;
  real** target_matrix;
  
};


#endif

