#ifndef NET_Regress_Irls_H
#define NET_Regress_Irls_H

#include "net_regress.h"

class NET_Regress_Irls : public NET_Regress
{
public:
  NET_Regress_Irls(int n_batch, 
		   int num_ip, 
		   int num_op, 
		   int debug,
		   int _msteps,
		   real _tol,
		   real _lambda,
		   real _prior_var );
  ~NET_Regress_Irls();
  double train_params(int n_points) ;
  double train_params(int n_points, real* weights) ;
  double* get_grad(int n_points, real** in,
				   real** targ);
private:
  real learn_rate;
  real** grad;
  real* grad2;
  real*** hessian;
  real** params;
};

#endif

